datacache <- new.env(hash=TRUE, parent=emptyenv())

rnu34rnrefseq <- function() showQCData("rnu34rnrefseq", datacache)
rnu34rnrefseq_dbconn <- function() dbconn(datacache)
rnu34rnrefseq_dbfile <- function() dbfile(datacache)
rnu34rnrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
rnu34rnrefseq_dbInfo <- function() dbInfo(datacache)

rnu34rnrefseqORGANISM <- "Rattus norvegicus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "rnu34rnrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("RATCHIP_DB", "rnu34rnrefseq", "chip rnu34rnrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("rnu34rnrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(rnu34rnrefseq_dbconn())
}

